VMSTAT(8)

NOM
vmstat - Afficher des statistiques sur la mémoire virtuelle

SYNOPSIS
vmstat [options] [délai [total]]

DESCRIPTION
vmstat affiche des informations sur les processus, la mémoire, la pagination, les blocs d'entrées et sorties, les interruptions et l'activité du processeur et des disques.

Le premier rapport produit présente les moyennes depuis le dernier démarrage. Les rapports ultérieurs présentent un compte rendu tous les délai. Les rapports sur les processus et la mémoire sont immédiats dans tous les cas de figure.

OPTIONS

délai
    Le délai en seconde entre les mises à jour. Si aucun délai n'est précisé, seul un rapport est affiché avec les valeurs moyennes depuis le démarrage.

total
    Le nombre de mises à jour. Si total n'est pas indiqué, quand délai est défini, total vaut l'infini par défaut.

-a, --active
    Afficher la mémoire active et inactive pour les noyaux 2.5.41 et supérieurs.

-f, --forks
    L'option -f affiche le nombre de processus fils depuis le démarrage du système, à savoir les « fork », « vfork » et les clones d'appels système. Cela correspond au nombre total de tâches créées. Chaque processus est représenté par une ou plusieurs tâches dépendant de l'utilisation des processus légers (« threads »). Il n'y a pas de rafraîchissement.

-m, --slabs
    Afficher le slabinfo.

-n, --one-header
    N'afficher l'en-tête qu'une fois plutôt que périodiquement.

-s, --stats
    Afficher un tableau de compteurs d'événements et des statistiques sur la mémoire. Il s'agit d'un affichage unique.

-d, --disk
    Afficher des statistiques sur le disque (pour les versions 2.5.70 ou supérieures).

-D, --disk-sum
    Afficher des statistiques succinctes à propos de l'activité des disques.

-p, --partition périphérique
    Afficher des statistiques sur les partitions (pour les versions 2.5.70 ou supérieures).

-S, --unit lettre
    Modifier les unités en sortie de 1000 (k), 1024 (K), 1000000 (m) ou 1048576 (M) octets. Remarquez que les champs swap (si/so) ou block (bi/bo) ne sont pas modifiés.

-w, --wide
    Mode de sortie large (utile pour les systèmes avec une grande quantité de mémoire, où le mode d’affichage par défaut est victime de rupture de colonne involontaire). La sortie est plus grande que 80 caractères par ligne.

-V, --version
    Afficher la version du logiciel et quitter.

-h, --help
    Afficher l'aide et quitter.

DESCRIPTIONS DES CHAMPS POUR LE MODE VM

  procs (processus)
r : Nombre de processus exécutables (en cours ou en attente d'exécution).
b : Nombre de processus en sommeil non interruptible.

  memory (mémoire)
swpd : Quantité de mémoire virtuelle utilisée.
free : Quantité de mémoire disponible.
buff : Quantité de mémoire tampon.
cache : Quantité de mémoire cache.
inact : Quantité de mémoire inactive (option -a).
active : Quantité de mémoire active (option -a).

  swap (espace d'échange)
si : Quantité de mémoire paginée lue depuis le disque en ko/s.
so : Quantité de mémoire paginée transférée sur disque en ko/s.

  io (entrées et sorties)
bi : Blocs reçus d'un périphérique en mode bloc (blocs/s).
bo : Blocs envoyés à un périphérique en mode bloc (blocs/s).

  system (système)
in : Nombre d'interruptions par seconde, incluant l'horloge.
cs : Nombre de bascules du contexte par seconde.

  processeur
Il s'agit de la répartition du temps processeur en pourcentage.
us : Temps consommé par les processus hors noyau (temps utilisateur
     incluant le temps de définition des priorités).
sy : Temps consommé par le noyau (temps système).
id : Temps d'inactivité. Avant Linux 2.5.41, le temps d'attente
     des entrées et sorties était inclus.
wa : Temps d'attente des entrées et sorties. Inclus dans le temps
     d'inactivité avant Linux 2.5.41.
st : Temps volé par une machine virtuelle. Inconnu avant Linux 2.6.11.

DESCRIPTIONS DES CHAMPS POUR LE MODE DISQUE

  reads (lectures)
total : Nombre total de lectures réussies.
merged : Lectures groupées (en une seule opération d'entrée ou sortie).
sectors : Secteurs lus avec succès.
ms : Temps de lecture en milliseconde.

  writes (écritures)
total : Nombre total d'écritures terminées avec succès.
merged : Écritures groupées (en une seule opération d'entrée ou sortie).
sectors : Secteurs écrits avec succès.
ms : Temps d'écriture en milliseconde.

  io (entrées et sorties)
cur : Entrées et sorties en cours.
s : Temps en seconde utilisé par les entrées et sorties.

DESCRIPTIONS DES CHAMPS POUR LE MODE DE PARTITION DE DISQUE
reads : Nombre total de lectures de la partition.
read sectors : Nombre total de secteurs lus pour la partition.
writes : Nombre total d'écritures sur la partition.
requested writes : Nombre total de requêtes d'écriture sur la partition.

DESCRIPTIONS DES CHAMPS POUR LE MODE SLAB
cache : Nom du cache.
num : Nombre d'objets actuellement actifs.
total : Nombre total d'objets disponibles.
size : Taille de chaque objet.
pages : Nombre de pages avec au moins un objet actif.

NOTES
vmstat ne nécessite aucune permission particulière.

Ces comptes-rendus tentent de fournir une aide à l'identification des goulots d'étranglement du système. Sous Linux, l'utilitaire vmstat n'est pas comptabilisé lui-même comme un processus actif.

Sous Linux, tous les blocs comptent actuellement 1024 octets. Les anciens noyaux peuvent utiliser des blocs de 512, 2048 ou 4096 octets.

Depuis la version 3.1.9 de procps, vmstat vous permet de choisir les unités (k, K, m, M). La valeur par défaut est K (1024 octets) dans le mode par défaut.

vmstat utilise le slabinfo 1.1

FICHIERS
/proc/meminfo
/proc/stat
/proc/*/stat

VOIR AUSSI
free(1), iostat(1), mpstat(1), ps(1), sar(1), top(1)

BOGUES
Le programme ne présente pas sous forme de tableau les E/S de bloc par périphérique ni le décompte du nombre d'appels système.

AUTEURS
Écrit par Henry Ware <al172@yfn.ysu.edu>.
Fabian Frédérick <ffrederick@users.sourceforge.net> (diskstat, slab, partitions…)

BOGUES
Signalez les bogues à <procps@freelists.org>

TRADUCTION
Cette page de manuel a été traduite par Thierry Vignaud <tvignaud AT mandrakesoft DOT com> en 2000. La version présente dans Debian est maintenue par Philippe Piette <foudre-blanche AT skynet DOT be> et les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.